dependencies for buiding the website locally is not complete

Reported by Borim on 2011-11-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Widelands Website
Low
Hans Joachim Desserud

Bug Description

I setup the website on my pc with ubuntu 11.10 and python-dev package is also needed for installing the homepage, but this dependency is missing in the README.txt

Related branches

SirVer (sirver) on 2011-11-18
Changed in widelands-website:
status: New → Confirmed
importance: Undecided → Low
Hans Joachim Desserud (hjd) wrote :

The python-dev package should be installed when pulling in build dependencies for python-numpy. I just tried with Ubuntu 11.10 out of the box, and it installed all by itself here.

Borim (borim) wrote :

The python-numpy packages recommends python-dev, but does not require it. So there is no guarantee that python-dev is installed ;)

Hans Joachim Desserud (hjd) wrote :

I'm sorry, you are of course right. :) In fact, it seem to be merely suggested http://packages.ubuntu.com/oneiric/python-numpy which I guess is considered even more optional.

Fix created and submitted. Thanks for reporting.

Changed in widelands-website:
status: Confirmed → In Progress
assignee: nobody → Hans Joachim Desserud (hjd)
tags: added: readme
SirVer (sirver) wrote :

Merged in r282

Changed in widelands-website:
status: In Progress → Fix Committed
Shevonar (shevonar) wrote :

I had no problems setting up the website by following the README :)

Since this is merged and nothing is left to do I will set it to fix released to cleanup the bug tracker.

Changed in widelands-website:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers